Page MenuHomePhabricator

User/Group control on a per document basis
Closed, DeclinedPublic

Description

Author: bdaszyns

Description:
This is more of a feature request. Something others and I have talked about is having some type of
user and group control on a per document basis. In other words, for a particular page, article,
etc. only certain users or groups could view it, only certain users or group could edit it, etc.
Has this been considered by any of the developers yet? Thanks.


Version: unspecified
Severity: enhancement

Details

Commits
Unknown Object (Diffusion Commit)
Reference
bz2035

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
ResolvedNone
ResolvedNone
DeclinedAklapper

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 8:28 PM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz2035.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.May 1 2005, 2:08 AM
  • Bug 1809 has been marked as a duplicate of this bug. ***

stephanie wrote:

Reopen - This doesn't specify how this was resolved - there's a "fixed"
resolution but no indication if, how, or when it was fixed.

robchur wrote:

(In reply to comment #0)

Has this been considered by any of the developers yet? Thanks.

Yes, Google around. Per-page access control is not something we want to
implement in MediaWiki, so I'm afraid the resolution here, as it has been in
numerous other places, will be WONTFIX.

epriestley changed the task status from Declined to Resolved by committing Unknown Object (Diffusion Commit).Mar 4 2015, 8:24 AM
epriestley added a commit: Unknown Object (Diffusion Commit).
Aklapper changed the task status from Resolved to Declined.Mar 4 2015, 9:22 AM
Aklapper claimed this task.